Get brand logo (legacy URL)
curl --request GET \
--url https://agenticadvertising.org/logos/brands/{domain}/{logoId}import requests
url = "https://agenticadvertising.org/logos/brands/{domain}/{logoId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://agenticadvertising.org/logos/brands/{domain}/{logoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agenticadvertising.org/logos/brands/{domain}/{logoId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://agenticadvertising.org/logos/brands/{domain}/{logoId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://agenticadvertising.org/logos/brands/{domain}/{logoId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agenticadvertising.org/logos/brands/{domain}/{logoId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body"<string>"{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Brand Resolution
Get brand logo (legacy URL)
Legacy form of the brand logo URL, without an extension. Accepts the same format and w rendition parameters as /assets/brands/{domain}/{logoId}.{ext}.
GET
/
logos
/
brands
/
{domain}
/
{logoId}
Get brand logo (legacy URL)
curl --request GET \
--url https://agenticadvertising.org/logos/brands/{domain}/{logoId}import requests
url = "https://agenticadvertising.org/logos/brands/{domain}/{logoId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://agenticadvertising.org/logos/brands/{domain}/{logoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agenticadvertising.org/logos/brands/{domain}/{logoId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://agenticadvertising.org/logos/brands/{domain}/{logoId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://agenticadvertising.org/logos/brands/{domain}/{logoId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agenticadvertising.org/logos/brands/{domain}/{logoId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body"<string>"{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Query Parameters
Response
The logo, or its PNG rendition. Served with Cache-Control: public, max-age=2592000: a logo id names immutable bytes, so a changed logo gets a new id and URL.
The response is of type file.
Was this page helpful?